במדריך הזה מוסבר איך ליצור אינטראקציה עם סוכנים שנפרסו ב-Managed Agents API ב-Agent Platform באמצעות Interactions API. תלמדו איך להשתמש בסוכנים בהתאמה אישית שנוצרו באמצעות Agents API ובסוכן הבסיסי המובנה Antigravity, כולל הגדרה דינמית שלו. בנוסף, מוסבר איך לנהל סביבות של ארגזי חול ולהשתמש בהן מחדש באמצעות מזהי סביבה (env_id), ואיך לשנות באופן דינמי הגדרות, כמו שרתי Model Context Protocol (MCP), במהלך אינטראקציות.
מידע נוסף על ה-API זמין במאמרי העזרה של Interaction API.
לפני שמתחילים
לפני שמתחילים באינטראקציות עם נציגים, צריך להגדיר את הסביבה:
- נכנסים לחשבון Google Cloud . אנחנו ממליצים למשתמשים חדשים ב- Google Cloudליצור חשבון כדי שיוכלו להעריך את הביצועים של המוצרים שלנו בתרחישים מהעולם האמיתי. לקוחות חדשים מקבלים בחינם גם קרדיט בשווי 300$ להרצה, לבדיקה ולפריסה של עומסי העבודה.
-
In the Google Cloud console, on the project selector page, select or create a Google Cloud project.
Roles required to select or create a project
- Select a project: Selecting a project doesn't require a specific IAM role—you can select any project that you've been granted a role on.
-
Create a project: To create a project, you need the Project Creator role
(
roles/resourcemanager.projectCreator), which contains theresourcemanager.projects.createpermission. Learn how to grant roles.
-
Verify that billing is enabled for your Google Cloud project.
Enable the Gemini Enterprise Agent Platform API, if it is not already enabled.
Roles required to enable APIs
To enable APIs, you need the
serviceusage.services.enablepermission. If you created the project, then you likely already have this permission through the Owner role (roles/owner). Otherwise, you can get this permission through the Service Usage Admin role (roles/serviceusage.serviceUsageAdmin). Learn how to grant roles.-
Make sure that you have the following role or roles on the project: Agent Platform User (
roles/aiplatform.user) or Agent Platform Administrator (roles/aiplatform.admin)Check for the roles
-
In the Google Cloud console, go to the IAM page.
Go to IAM - Select the project.
-
In the Principal column, find all rows that identify you or a group that you're included in. To learn which groups you're included in, contact your administrator.
- For all rows that specify or include you, check the Role column to see whether the list of roles includes the required roles.
Grant the roles
-
In the Google Cloud console, go to the IAM page.
Go to IAM - Select the project.
- Click Grant access.
-
In the New principals field, enter your user identifier. This is typically the email address for a Google Account.
- Click Select a role, then search for the role.
- To grant additional roles, click Add another role and add each additional role.
- Click Save.
-
-
In the Google Cloud console, on the project selector page, select or create a Google Cloud project.
Roles required to select or create a project
- Select a project: Selecting a project doesn't require a specific IAM role—you can select any project that you've been granted a role on.
-
Create a project: To create a project, you need the Project Creator role
(
roles/resourcemanager.projectCreator), which contains theresourcemanager.projects.createpermission. Learn how to grant roles.
-
Verify that billing is enabled for your Google Cloud project.
Enable the Gemini Enterprise Agent Platform API, if it is not already enabled.
Roles required to enable APIs
To enable APIs, you need the
serviceusage.services.enablepermission. If you created the project, then you likely already have this permission through the Owner role (roles/owner). Otherwise, you can get this permission through the Service Usage Admin role (roles/serviceusage.serviceUsageAdmin). Learn how to grant roles.-
Make sure that you have the following role or roles on the project: Agent Platform User (
roles/aiplatform.user) or Agent Platform Administrator (roles/aiplatform.admin)Check for the roles
-
In the Google Cloud console, go to the IAM page.
Go to IAM - Select the project.
-
In the Principal column, find all rows that identify you or a group that you're included in. To learn which groups you're included in, contact your administrator.
- For all rows that specify or include you, check the Role column to see whether the list of roles includes the required roles.
Grant the roles
-
In the Google Cloud console, go to the IAM page.
Go to IAM - Select the project.
- Click Grant access.
-
In the New principals field, enter your user identifier. This is typically the email address for a Google Account.
- Click Select a role, then search for the role.
- To grant additional roles, click Add another role and add each additional role.
- Click Save.
-
-
אם הנציג משתמש בכלים של Google Cloud Model Context Protocol (MCP), צריך להקצות את התפקיד "משתמש בכלי MCP" (
roles/mcp.toolUser) גם לחשבון המשתמש וגם לחשבון השירות המשויך.
אינטראקציה עם סוכני Antigravity
הדרך הפשוטה ביותר להשתמש ב-Managed Agents API ב-Agent Platform היא אינטראקציה ישירה עם הסוכן הבסיסי Antigravity מאינטראקציה ישירה (First-Party). לא צריך ליצור משאב של סוכן בהתאמה אישית, אפשר להפעיל את הסוכן תוך כדי תנועה.
כדי להתחיל אינטראקציה, מציינים את יעד הנציג הבסיסי, כמו antigravity-preview-05-2026 (או גרסת טרום-ההשקה האחרונה), ומבקשים סביבה מרוחקת תוך כדי תנועה:
REST
משתני בקשה
לפני ששולחים קריאה ל-API, מחליפים את המשתנים הבאים:
- PROJECT_ID: מזהה הפרויקט ב- Google Cloud .
- LOCATION: המיקום האזורי של האינטראקציות. יש תמיכה רק באזור
global.
שיטת ה-HTTP וכתובת ה-URL
POST https://aiplatform.googleapis.com/v1beta1/projects/PROJECT_ID/locations/LOCATION/interactions
גוף בקשת JSON
{
"stream": true,
"background": true,
"store": true,
"agent": "antigravity-preview-05-2026",
"environment": {
"type": "remote"
},
"input": [
{
"type": "user_input",
"content": [
{
"type": "text",
"text": "Who are you, can you execute python code? Show me an example."
}
]
}
]
}
הפקודה curl
curl -X POST "https://aiplatform.googleapis.com/v1beta1/projects/PROJECT_ID/locations/LOCATION/interactions" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $(gcloud auth print-access-token)" \
-H "Api-Revision: 2026-05-20" \
-d '{
"stream": true,
"background": true,
"store": true,
"agent": "antigravity-preview-05-2026",
"environment": {"type": "remote"},
"input": [
{
"type": "user_input",
"content": [
{
"type": "text",
"text": "Who are you, can you execute python code? Show me an example."
}
]
}
]
}'
דוגמה לתשובה
אחרי האינטראקציה הראשונית, השירות מחזיר תשובה בסטרימינג. אפשר להשתמש ב-interaction.id וב-environment_id, שנכללים בנתוני ה-interaction.complete, בקריאות הבאות כדי לשמור על מצב הסשן. השדה interaction.id משמש להמשך היסטוריית השיחות, והשדה environment_id מאפשר להשתמש שוב באותה סביבת ארגז חול. מידע נוסף זמין במאמר ניהול מצב הסשן.
event: interaction.complete
data: {
"interaction": {
"id": "1234567890",
"status": "completed",
"usage": {
"total_tokens": 51132,
"total_input_tokens": 48984,
"input_tokens_by_modality": [
{
"modality": "text",
"tokens": 48984
}
],
"total_output_tokens": 769,
"output_tokens_by_modality": [
{
"modality": "text",
"tokens": 769
}
],
"total_thought_tokens": 1379
},
"created": "2026-05-15T22:26:05Z",
"updated": "2026-05-15T22:26:05Z",
"environment_id": "env_CAE1234567890",
"object": "interaction"
},
"event_type": "interaction.complete"
}
Python
לפני שמריצים את הקוד הזה, צריך להגדיר את המשתנים שמתוארים בכרטיסייה REST.
from google import genai
client = genai.Client(
vertexai=True,
project="PROJECT_ID",
location="global",
)
stream = client.interactions.create(
agent="antigravity-preview-05-2026",
input="Who are you, can you execute python code? Show me an example.",
environment={"type": "remote"},
stream=True,
background=True,
store=True,
)
for event in stream:
print(event)
התגובה בסטרימינג מניבה אובייקטים מסוג InteractionSSEEvent. אירוע ה-interaction.complete האחרון מכיל את ה-environment_id ואת האינטראקציה id, שאפשר להשתמש בהם שוב בקריאות הבאות כדי לשמור על מצב הסשן והיסטוריית השיחות. מידע נוסף זמין במאמר ניהול מצב הסשן.
JavaScript
לפני שמריצים את הקוד הזה, צריך להגדיר את המשתנים שמתוארים בכרטיסייה REST.
import { GoogleGenAI } from "@google/genai";
const client = new GoogleGenAI({
vertexai: true,
project: "PROJECT_ID",
location: "global",
});
const stream = await client.interactions.create({
agent: "antigravity-preview-05-2026",
input: "Who are you, can you execute python code? Show me an example.",
environment: { type: "remote" },
stream: true,
background: true,
store: true,
});
for await (const event of stream) {
console.log(event);
}
התגובה בסטרימינג מניבה אובייקטים של אירועים. אירוע ה-interaction.complete האחרון מכיל את ה-environment_id ואת האינטראקציה id, שאפשר להשתמש בהם שוב בקריאות הבאות כדי לשמור על מצב הסשן והיסטוריית השיחות. מידע נוסף זמין במאמר ניהול מצב הסשן.
אינטראקציה עם סוכן בהתאמה אישית שנוצר באמצעות Agents API
כדי לקיים אינטראקציה עם נציג בהתאמה אישית שנוצר כמו שמתואר במאמר יצירה וניהול של נציגים, צריך לציין אותו באמצעות מזהה הנציג שלו.
במאמר הצגת רשימת סוכנים מוסבר איך לאחזר או להציג רשימה של סוכנים בהתאמה אישית כדי למצוא את המזהים שלהם.
הגדרה והפעלה של הסביבה
במהלך אינטראקציה עם סוכן בהתאמה אישית:
פעולת ברירת מחדל: אם יוצרים את הנציג עם סביבת ברירת מחדל, צריך לציין את
AGENT_IDבבקשה.הגדרת הסביבה באופן מפורש: אם לא הגדרתם את הסביבה כשאתם יוצרים את הנציג, אתם צריכים להגדיר אותה באופן מפורש בבלוק
environmentשל בקשת האינטראקציה הראשונית.לדוגמה:
"environment": {"type": "remote"}
אתם יכולים להגדיר באופן דינמי תכונות בסביבת ארגז החול במהלך הקריאה הראשונית ל-Interactions API כדי לעמוד בדרישות ספציפיות של המשימה. לדוגמה:
צירוף מיומנות באמצעות Cloud Storage: צירוף קטגוריות של Cloud Storage כדי לטעון כמויות גדולות של נתונים או ספריות קבצים קבועות למערכת הקבצים של הקונטיינר.
צירוף מיומנויות באמצעות Skill Registry: אתם יכולים לספק רשימה של כלים בהתאמה אישית, סקריפטים או מיומנויות של סוכנים בחבילות מוכנות מראש כדי לספק יכולות פונקציונליות ספציפיות או את תהליך העבודה שלכם בזמן הריצה. מאגר המיומנויות
במאמר ניהול מצב הסשן באמצעות מזהי סביבה מפורטים מבנים של הגדרות סביבה ודוגמאות לשמירה על מצב השיחה בכמה סבבים.
שליחת אינטראקציה לנציג בהתאמה אישית
כדי לשלוח אינטראקציה לסוכן בהתאמה אישית, מציינים את מזהה הסוכן:
REST
משתני בקשה
לפני ששולחים קריאה ל-API, מחליפים את המשתנים הבאים:
- PROJECT_ID: מזהה הפרויקט ב- Google Cloud .
- LOCATION: יש תמיכה רק באזור
global. - AGENT_ID: המזהה בהתאמה אישית של משאב הסוכן הרשום. במאמר הצגת רשימת סוכנים מוסבר איך לאחזר או להציג רשימה של סוכנים בהתאמה אישית כדי למצוא את המזהים שלהם.
שיטת ה-HTTP וכתובת ה-URL
POST https://aiplatform.googleapis.com/v1beta1/projects/PROJECT_ID/locations/LOCATION/interactions
גוף בקשת JSON
{
"stream": true,
"background": true,
"store": true,
"agent": "AGENT_ID",
"input": [
{
"type": "user_input",
"content": [
{
"type": "text",
"text": "Tell me the name of python packages used for data analysis."
}
]
}
]
}
הפקודה curl
curl -X POST "https://aiplatform.googleapis.com/v1beta1/projects/PROJECT_ID/locations/LOCATION/interactions" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $(gcloud auth print-access-token)" \
-H "Api-Revision: 2026-05-20" \
-d '{
"stream": true,
"background": true,
"store": true,
"agent": "AGENT_ID",
"input": [
{
"type": "user_input",
"content": [
{
"type": "text",
"text": "Tell me the name of python packages used for data analysis."
}
]
}
]
}'
תגובה לדוגמה
אחרי האינטראקציה הראשונית, השירות מחזיר תשובה בסטרימינג. אפשר להשתמש ב-interaction.id וב-environment_id, שנכללים בנתוני ה-interaction.complete, בקריאות הבאות כדי לשמור על מצב הסשן. השדה interaction.id משמש להמשך היסטוריית השיחות, והשדה environment_id מאפשר להשתמש שוב באותה סביבת ארגז חול. מידע נוסף זמין במאמר ניהול מצב הסשן.
data: {
"interaction": {
"id": "1234567890",
"status": "completed",
"usage": {
"total_tokens": 7558,
"total_input_tokens": 6822,
"input_tokens_by_modality": [
{
"modality": "text",
"tokens": 6822
}
],
"total_output_tokens": 278,
"output_tokens_by_modality": [
{
"modality": "text",
"tokens": 278
}
],
"total_thought_tokens": 458
},
"created": "2026-05-15T22:38:56Z",
"updated": "2026-05-15T22:38:56Z",
"environment_id": "env_CAE1234567890",
"object": "interaction"
},
"event_type": "interaction.complete"
}
Python
לפני שמריצים את הקוד הזה, צריך להגדיר את המשתנים שמתוארים בכרטיסייה REST.
from google import genai
client = genai.Client(
vertexai=True,
project="PROJECT_ID",
location="global",
)
stream = client.interactions.create(
agent="AGENT_ID",
input="Tell me the name of python packages used for data analysis.",
stream=True,
background=True,
store=True,
)
for event in stream:
print(event)
JavaScript
לפני שמריצים את הקוד הזה, צריך להגדיר את המשתנים שמתוארים בכרטיסייה REST.
import { GoogleGenAI } from "@google/genai";
const client = new GoogleGenAI({
vertexai: true,
project: "PROJECT_ID",
location: "global",
});
const stream = await client.interactions.create({
agent: "AGENT_ID",
input: "Tell me the name of python packages used for data analysis.",
stream: true,
background: true,
store: true,
});
for await (const event of stream) {
console.log(event);
}
ניהול מצב הסשן ואינטראקציות רב-שלביות
כברירת מחדל, האינטראקציות הן ללא שמירת מצב, אלא אם מטרגטים קונטיינר ספציפי של סביבה או היסטוריית שיחות. בתהליכים של Assistant עם כמה פניות, אתם יכולים לשמור קבצים מקומיים, הקשר של הרצת קוד, שינויים במערכת, ספריות של תוכנות קוד פתוח שמותקנות בזמן הריצה והיסטוריית שיחות בין שיחות:
- כדי להמשיך שיחה: מעבירים את המזהה מהאינטראקציה הקודמת לפרמטר
previous_interaction_id. - כדי להמשיך להשתמש בסביבה שנוצרה: מעבירים את מזהה הסביבה שהוחזר מהאינטראקציה הקודמת לפרמטר
environment.
אפשר לבחור הגדרות סביבה עיקריות באמצעות הפרמטרים הבאים בשדה environment:
| מבנה JSON | תיאור |
|---|---|
"environment": {"type": "remote"} |
הקצאת סביבת ארגז חול רגילה וחדשה. האפשרות הזו מתאימה לאינטראקציות ראשוניות. |
"environment": "env_CAEQ..." |
שימוש חוזר במאגר הקיים והקבוע של ארגז החול, תוך שמירה על כל הספריות, הסקריפטים, הקבצים והמצב שמשויכים למזהה הסביבה הזה. |
"environment": {"type": "remote", "sources": [{"type": "gcs", "source": "gs://YOUR_BUCKET/YOUR_FILE", "target": "YOUR_TARGET_PATH"}]}
|
הקצאת ארגז חול מרוחק חדש וטעינה מראש של מיומנויות או קבצים בהתאמה אישית מ-`sources` שצוינו, כמו אלה שמאוחסנים ב-Cloud Storage. |
כדי לשלוח בקשת אינטראקציה נוספת שמשתמשת שוב באותו קונטיינר של ארגז חול וממשיכה את השיחה, מעבירים את הערך environment_id שהוחזר בשדה environment ומציינים את הערך previous_interaction_id. הדוגמאות הבאות ממחישות איך להמשיך סשן עם שמירת מצב כשמקיימים אינטראקציה עם הנציג.
REST
משתני בקשה
לפני ששולחים קריאה ל-API, מחליפים את המשתנים הבאים:
- PROJECT_ID: מזהה הפרויקט ב- Google Cloud .
- LOCATION: יש תמיכה רק באזור
global. - AGENT_ID: המזהה בהתאמה אישית של משאב הנציג הרשום (או
antigravity-preview-05-2026). - PREVIOUS_INTERACTION_ID: מזהה האינטראקציה שהוחזר מהאינטראקציה הקודמת.
- ENV_ID: מזהה הסביבה שהוחזר מהאינטראקציה הקודמת.
שיטת ה-HTTP וכתובת ה-URL
POST https://aiplatform.googleapis.com/v1beta1/projects/PROJECT_ID/locations/LOCATION/interactions
גוף בקשת JSON
{
"stream": true,
"background": true,
"store": true,
"agent": "AGENT_ID",
"previous_interaction_id": "PREVIOUS_INTERACTION_ID",
"environment": "ENV_ID",
"input": [
{
"type": "user_input",
"content": [
{
"type": "text",
"text": "What did I ask you before and what did you do?"
}
]
}
]
}
הפקודה curl
curl -X POST "https://aiplatform.googleapis.com/v1beta1/projects/PROJECT_ID/locations/LOCATION/interactions" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $(gcloud auth print-access-token)" \
-H "Api-Revision: 2026-05-20" \
-d '{
"stream": true,
"background": true,
"store": true,
"agent": "AGENT_ID",
"previous_interaction_id": "PREVIOUS_INTERACTION_ID",
"environment": "ENV_ID",
"input": [
{
"type": "user_input",
"content": [
{
"type": "text",
"text": "What did I ask you before and what did you do?"
}
]
}
]
}'
Python
לפני שמריצים את הקוד הזה, צריך להגדיר את המשתנים שמתוארים בכרטיסייה REST.
from google import genai
client = genai.Client(
vertexai=True,
project="PROJECT_ID",
location="global",
)
stream = client.interactions.create(
agent="AGENT_ID",
input="What did I ask you before and what did you do?",
previous_interaction_id="PREVIOUS_INTERACTION_ID",
environment="ENV_ID",
stream=True,
background=True,
store=True,
)
for event in stream:
print(event)
ב-Python SDK, מעבירים את המחרוזת environment_id ישירות כפרמטר environment כדי להשתמש מחדש בקונטיינר קיים של ארגז חול. כדי להמשיך את היסטוריית השיחות, השתמשו ב-previous_interaction_id.
JavaScript
לפני שמריצים את הקוד הזה, צריך להגדיר את המשתנים שמתוארים בכרטיסייה REST.
import { GoogleGenAI } from "@google/genai";
const client = new GoogleGenAI({
vertexai: true,
project: "PROJECT_ID",
location: "global",
});
const stream = await client.interactions.create({
agent: "AGENT_ID",
input: "What did I ask you before and what did you do?",
previous_interaction_id: "PREVIOUS_INTERACTION_ID",
environment: "ENV_ID",
stream: true,
background: true,
store: true,
});
for await (const event of stream) {
console.log(event);
}
ב-JavaScript SDK, מעבירים את המחרוזת environment_id ישירות בתור הפרמטר environment כדי להשתמש מחדש במאגר קיים של ארגז חול. כדי להמשיך את היסטוריית השיחות, השתמשו ב-previous_interaction_id.
שינוי ההגדרות במהלך האינטראקציה
הגדרות של נציגים בהתאמה אישית בדרך כלל כוללות הגדרות ברירת מחדל לכלים, למיומנויות ולחיבורים לצד שלישי, אבל אתם יכולים לשנות את ההגדרות האלה באופן דינמי לכל אינטראקציה, בלי לשנות את הגדרת המשאבים הבסיסית של הנציג.
תרחיש שימוש נפוץ הוא שינוי דינמי של חיבורים לשרתי Model Context Protocol (MCP) בזמן הריצה. כל הכלים או שרתי ה-MCP שצוינו בגוף הבקשה לאינטראקציה מבטלים לחלוטין את הכלים שהוגדרו מראש של הנציג למשך התור של האינטראקציה הזו.
כדי לשנות או להגדיר שרת MCP במועד האינטראקציה, מוסיפים כלי מסוג mcp_server לרשימת tools של בקשת האינטראקציה:
REST
משתני בקשה
לפני ששולחים קריאה ל-API, מחליפים את המשתנים הבאים:
- PROJECT_ID: מזהה הפרויקט ב- Google Cloud .
- LOCATION: המיקום של האינטראקציה. יש תמיכה רק באזור
global. - AGENT_ID: המזהה בהתאמה אישית של משאב הנציג.
- MCP_SERVER_URL: כתובת ה-URL של שער ה-HTTP המרוחק של שרת ה-MCP החדש.
- MCP_SERVER_NAME: תווית תיאורית לדומיין המארח של ה-MCP המטורגט.
- MCP_HEADER_KEY: אופציונלי. שם המפתח של הכותרת (לדוגמה,
Authorization). - MCP_HEADER_VALUE: אופציונלי. ערך פרטי הכניסה (לדוגמה,
Bearer <token>).
שיטת ה-HTTP וכתובת ה-URL
POST https://aiplatform.googleapis.com/v1beta1/projects/PROJECT_ID/locations/LOCATION/interactions
גוף בקשת JSON
{
"stream": true,
"background": true,
"store": true,
"agent": "agents/AGENT_ID",
"input": [
{
"type": "user_input",
"content": [
{
"type": "text",
"text": "Analyze our database and summarize recent purchase events."
}
]
}
],
"tools": [
{
"type": "mcp_server",
"url": "MCP_SERVER_URL",
"name": "MCP_SERVER_NAME",
"headers": {
"MCP_HEADER_KEY": "MCP_HEADER_VALUE"
}
}
]
}
הפקודה curl
curl -X POST "https://aiplatform.googleapis.com/v1beta1/projects/PROJECT_ID/locations/LOCATION/interactions" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $(gcloud auth print-access-token)" \
-H "Api-Revision: 2026-05-20" \
-d '{
"stream": true,
"background": true,
"store": true,
"agent": "agents/AGENT_ID",
"input": [
{
"type": "user_input",
"content": [
{
"type": "text",
"text": "Analyze our database and summarize recent purchase events."
}
]
}
],
"tools": [
{
"type": "mcp_server",
"url": "MCP_SERVER_URL",
"name": "MCP_SERVER_NAME",
"headers": {
"MCP_HEADER_KEY": "MCP_HEADER_VALUE"
}
}
]
}'
Python
לפני שמריצים את הקוד הזה, צריך להגדיר את המשתנים שמתוארים בכרטיסייה REST.
from google import genai
client = genai.Client(
vertexai=True,
project="PROJECT_ID",
location="global",
)
stream = client.interactions.create(
agent="AGENT_ID",
input="Analyze our database and summarize recent purchase events.",
tools=[
{
"type": "mcp_server",
"url": "MCP_SERVER_URL",
"name": "MCP_SERVER_NAME",
"headers": {
"MCP_HEADER_KEY": "MCP_HEADER_VALUE"
},
}
],
stream=True,
background=True,
store=True,
)
for event in stream:
print(event)
JavaScript
לפני שמריצים את הקוד הזה, צריך להגדיר את המשתנים שמתוארים בכרטיסייה REST.
import { GoogleGenAI } from "@google/genai";
const client = new GoogleGenAI({
vertexai: true,
project: "PROJECT_ID",
location: "global",
});
const stream = await client.interactions.create({
agent: "AGENT_ID",
input: "Analyze our database and summarize recent purchase events.",
tools: [
{
type: "mcp_server",
url: "MCP_SERVER_URL",
name: "MCP_SERVER_NAME",
headers: {
"MCP_HEADER_KEY": "MCP_HEADER_VALUE",
},
},
],
stream: true,
background: true,
store: true,
});
for await (const event of stream) {
console.log(event);
}
המאמרים הבאים
סקירה כללית של Managed Agents API ב-Agent Platform
מידע ולמידה על Managed Agents API ב-Agent Platform – סביבה מבוססת-הגדרות שמתמקדת ב-REST, שמאפשרת ליצור סוכנים אוטונומיים.
Managed Agents API בסביבת ארגז החול של Agent Platform
מידע ולמידה על קונטיינר ארגז החול המבודד, ההרשאות והחבילות או הכלים שמותקנים מראש.